Browse Source

l/matplotlib: Must be built with patched d/Cython.

current-20200608
Damien Goutte-Gattat 7 months ago
parent
commit
91e5792f9b
1 changed files with 4 additions and 1 deletions
  1. +4
    -1
      l/matplotlib/matplotlib.SlackBuild

+ 4
- 1
l/matplotlib/matplotlib.SlackBuild View File

@ -25,6 +25,9 @@
# Latest matplotlib sourcecode is available at: <http://matplotlib.org/>.
#
# Depends: l/numpy, l/python-cycler, l/python-dateutil, l/python-kiwisolver
#
# Note: This package (along with l/numpy) must be built with a patched
# version of d/Cython. See <https://github.com/cython/cython/issues/3269>.
# Source package infos
NAMESRC=${NAMESRC:-matplotlib}
@ -83,7 +86,7 @@ tar xf $CWD/$ARCHIVE
cd $NAME
CFLAGS="$CPUOPT" \
CXXFLAGS="$CPUOPT" \
python3 setup.py build -j $JOBS
python3 setup.py build
python3 setup.py install --root=$PKG
# Strip binaries


Loading…
Cancel
Save